Subject: RE: CR/LF problems after upgrade
From: "Eramo, Mark" <[email-masked]>
To: <[email-masked]>
Cc: "Eric Blake" <[email-masked]>
Date: Tue, 9 Jan 2007 09:35:40 -0500
List-Id: <cygwin.cygwin.com>

-----Original Message-----
From: Eric Blake [mailto:[email-masked]] 
Sent: Monday, January 08, 2007 11:27 PM
To: [email-masked]; Eramo, Mark
Subject: Re: CR/LF problems after upgrade

http://cygwin.com/acronyms/#TOFU - reformatted

> -----Original Message-----
> From: cygwin-owner AT cygwin DOT com
                    ^^^^      ^^^^^

http://cygwin.com/acronyms/#PCYMTNQREAIYR - raw email munged

> On 1/5/07, fschmidt  wrote:
>> Okay, how can I set SHELLOPTS before invoking bash?  I tried it in
the
>> /etc/profile but that didn't work.
>>

According to Eramo, Mark on 1/8/2007 9:33 AM:
> I have the same problem and I set this under the Windows System
> Variables as well as in the Cygwin shell window but neither worked. 

> Actually, it sounds like you don't have the same problem.

> 
> I use tsch as opposed to bash. Is there something different that needs
> to be set in this shell? 

>tcsh is not the same as bash, and SHELLOPTS does not affect tcsh
(although
>even with tcsh, you probably end up invoking a lot of sh scripts that
are
>affected).  You'll have to show a simple test case that someone else
can
>reproduce before we can offer help.

Don't work too hard, make some time for fun as well!

Eric Blake             [email-masked]

Thanks for the reply Eric. I actually tried this using bash first but I
think I maybe see what is wrong. 

First, I added the following Environment Variable

SHELLOPTS=igncr

I then Opened Cygwin (envoking bash) and issued the SET command to see
the environment. As you can see below, the SHELLOPTS variable does not
have igncr included 

SHELLOPTS=braceexpand:emacs:hashall:histexpand:history:igncr:interactive
-comments:monitor

So, I just need to figure out why it's not picking it up (this must be
read only variable) and then how to get it added. Once I do that, I can
hopefully run an appropriate test. 

Thanks,

Mark

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/